package p01_zmienne;

import java.util.Locale;
import java.util.Scanner;

public class Paliwo3 {
	// W tej wersji do wczytywania używam Scannera, a do wypisywania używam printf
	// Ustawienia regionalne skanera od prinf zmieniam na Locale.US - ułamki dziesiętne za kropką

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		scanner.useLocale(Locale.US);
		
		System.out.print("Podaj cenę paliwa: ");
		double cena = scanner.nextDouble();
		System.out.print("Podaj spalanie na 100 km: ");
		double spalanie = scanner.nextDouble();
		System.out.print("Podaj odległość w km: ");
		double dystans = scanner.nextDouble();
		
		double koszt = cena * spalanie * dystans / 100;
		System.out.printf(Locale.US, "Koszt przejazdu %.0f km wyniesie %.2f zł\n", dystans, koszt);
	}

}
